//go:generate mockgen -aux_files bar=./bar/bar.go -source=./foo.go -destination=mock_foo/foo.go

// Working: //go:generate mockgen -source=./foo.go -destination=mock_foo/foo.go
// Broken:  //go:generate mockgen -aux_files bar=./bar/bar.go -source=./foo.go -destination=mock_foo/foo.go

package foo

import (
	"foo/bar"
	"foo/common"
	pkg_common "foo/pkg/common"
)

type Foo interface {
	bar.Bar
	B(b common.B) common.B
	C(pkg_common.A) pkg_common.A
}
